Bonds

get

Retrieve a list of bonds available in the system

Query parameters
modestring · enumOptional

Strategy applied when filtering/searching on multiple fields

Possible values:
orderanyOptional

Array of fields and directions to order. Supported fields: createdAt, seniority, status, nominalValue, totalNominalValue, interestRate, secured, issuedAt, issuanceRecordAt, settleAt, maturityRecordAt, matureAt, distributedAmount, requestedAmount, collectedAmount, supply, totalSupply

Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds
200

Successfully retrieved a list of items.

post

Create a new bond. Prepares blockchain accounts and makes data validation request to operator.

Body
issuerIdstring · uuidRequired

Unique UUID of the issuer in scope of this gateway to assign as this bond's issuer

Example: 1113b96c-40c2-4d1e-9574-405d46b5f470
currencyIdstring · uuidRequired

Unique UUID of the currency in scope of this gateway provided to set in which currency bond coupon and maturity payments will be executed with

Example: bf8b2ea8-7aa4-45ea-a6e1-3a4222b1ca53
namestringRequired

Full name of the bond

Example: Test Bond 1
originstring · enumRequired

Origin of the bond

Possible values:
custodianstringOptional

Custodian where asset is registered outside

Example: Custodian Bank
custodianLeiCodestringOptional

LEI code of original depository where the issuer has registered the securities

Example: DG3RU1DBUFHT4ZF9WN62
issuerCsdLeiCodestringOptional

LEI code of the issuer in central securities depository

Example: DG3RU1DBUFHT4ZF9WN62
csdRegisteredAtstring · date-timeOptional

Date of registration in central depository

Example: 2025-12-12T08:55:12.549Z
underlyingInstrumentCodestringOptional

Underlying instrument code

Example: US0378331005
fisnstringOptional

Short description

Example: FUTURETECH/COMMON STOCK
countryCodestringRequired

Country code of where the security is issued

Example: LT
turnoverTypestring · enumOptional

Type of turnover for the bond. Indicates how the bond is traded or transferred

Possible values:
senioritystring · enumRequired

Seniority of the bond. Indicates the priority of claims in case of liquidation

Possible values:
initialPlacementstring · enumRequired

Initial placement type

Possible values:
exponentnumber · max: 10Required

Exponent - number of decimal places (scale) used for this asset or currency.

  • Decimal floating value: stored_value / 10^exponent.
  • Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).
  • Examples: 2000 with exponent 2 => 20; 2345 with exponent 3 => 2.345; 2345 with exponent 0 => 2345.
Example: 2
isinstringOptional

International Securities Identification Number. Code that uniquely identifies a security globally

Example: US0378331005
cfistringOptional

Classification of Financial Instruments. Unique identifier assigned to financial instruments, such as stocks, bonds, derivatives, and other securities

Example: DBVUGR
figistringOptional

Financial Instrument Global Identifier. Code that uniquely identifies a security globally

Example: BBG000BLNNV0
tickerstringOptional

Stock ticker symbol. This is a unique series of letters assigned to a security or stock for trading purposes

Example: AAPL
dtistring · iso-24165-dtiOptional

Digital Token Identifier (DTI) as per ISO 24165

Example: BCDFGHJK9Pattern: ^[B-DF-HJ-NP-TV-XZ1-9][B-DF-HJ-NP-TV-XZ0-9]{8}$
issuePricestringRequired

Price of the bond issue

Example: 20 000 USD
totalSupplyinteger · int64Required

Total amount of bond units that exist or will exist, provided considering exponent of the bond

Example: 10000
nominalValueinteger · int64Required

Nominal/face value of one bond, expressed in chosen currency, provided considering exponent of the currency

Example: 100
interestRatestringRequired

Annual interest rate in % paid for holding this bond

Example: 10
interestTypestring · enumRequired

Interest type. Curently, only fixed interest rate is supported

Possible values:
interestBasestring · enumRequired

Interest calculation option

Possible values:
interestIntervalstring · enumRequired

Interest payment interval

Possible values:
minimumSettlementUnitstringRequired

Up to what part a bond can be divided

Example: 0,01 unit
settlementUnitMultiplestringRequired

The smallest part of settlement currency to trade

Example: 0,01 EUR
prospectusRegisteredbooleanRequired

Indicator, if the bond prospectus registered

Example: true
preEmptiveRightsbooleanRequired

Indicator, if the bond has pre-emptive rights

Example: true
earlyRedemptionbooleanRequired

Indicator, if the bond can be redeemed early

Example: true
securedbooleanRequired

Indicator, if the bond is secured

Example: true
securedBackingstringOptional

Backing of the secured bond

Example: Gold
issuedAtstring · date-timeRequired

Issue date of the bond.

Example: 2025-12-12T08:55:12.550Z
issuanceRecordAtstring · date-timeRequired

Bond issue record date, from which the coupon accumulation starts.

Example: 2025-12-11T08:55:12.550Z
settleAtstring · date-timeRequired

Date when the bond was or is expected to be fully distributed among initial holders.

Example: 2025-12-25T08:55:12.551Z
maturityRecordAtstring · date-timeRequired

The official maturity record date and time. Timestamp marking the official maturity record cutoff (typically end of day, e.g. 23:59:59), defining which bondholders are legally entitled to receive principal repayment at maturity according to bond terms/prospectus.

Example: 2026-02-09T08:55:12.551Z
matureAtstring · date-timeRequired

Date of bond's maturity or simpler, end of bond's lifetime.

Example: 2026-02-10T08:55:12.551Z
referencestringRequired

Reference to the new bond data document or other relevant information.

Example: Bond prospect No. 12345
settlementTypestring · enumRequired

Corporate actions settlement type:

  • internal - payments (coupons, maturity) are settled within Axiology TSS using EMTs
  • external - payments are settled via bank or other payment systems outside Axiology TSS
Possible values:
Responses
post
/bonds
201

Successfully created a bond

Get bond's auctions

get

Get auctions and their details with status for a single bond

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
modestring · enumOptional

Strategy applied when filtering/searching on multiple fields

Possible values:
orderanyOptional

Array of fields and directions to order. Supported fields: createdAt, startAt, endAt

Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/auctions
200

Successfully retrieved a list of items.

Create an auction

post

Create an auction that will be held and settled on the chain

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Body
typestring · enumRequired

Type of auction:

'fixed-price' - price is fixed
'min-price' - price is limited to lower boundary, inclusive
Possible values:
priceinteger · int64Required

Price of a single bond unit, when auction type is 'fixed-price'. Minimal price of a single bond unit, when auction type is 'min-price'

Example: 100
minAmountinteger · int64Required

Minimal amount of bond units that must be auctioned of for auction to be considered successful

Example: 500
startAtstring · date-timeRequired

Date and time when auction opens

Example: 2025-12-16T08:55:12.285Z
endAtstring · date-timeRequired

Date and time when auction closes

Example: 2025-12-21T08:55:12.285Z
Responses
post
/bonds/{bondId}/auctions
201Success

Get auction

get

Get auction details and status for a bond

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
auctionIdstring · uuidRequired

Auction UUID identifier, unique in scope of this node

Example: 57c03592-9de8-4e7b-803e-a9c84fbc98e1
Responses
chevron-right
200Success
application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Auction id

Example: 2f4b29b9-ef14-4f7c-bbd8-e4160b64590e
brokerIdstring · uuidRequired

Broker id

Example: babbfcb4-7843-49aa-8d94-21e0d072a0f5
assetIdstring · uuidRequired

Asset id

Example: d844e687-bb8e-4d64-b408-19bcfc301e26
typestring · enumRequired

Type of auction:

'fixed-price' - price is fixed
'min-price' - price is limited to lower boundary, inclusive
Possible values:
statusstring · enumRequired

Auction status:

  • upcoming - will open in the future
  • open - currently open and accepts bids
  • closed - successful, but not yet settled
  • settled - successful and settled
  • failed - unsuccessful auction, minAmount not reached
  • cancelled - cancelled by issuer agent
Possible values:
minAmountinteger · int64Required

Minimal amount that needs to be auctioned off for auction to succeed

Example: 500
priceinteger · int64Required

Minimal or fixed price, determined by auction type

Example: 100
startAtstring · date-timeRequired

Date and time of auction opening

endAtstring · date-timeRequired

Date and time of auction closing

settledAmountinteger · int64 · nullableRequired

Total settled amount

Example: 600
settledTotalPriceinteger · int64 · nullableRequired

Settled total price

Example: 60000
settledPriceinteger · int64 · nullableRequired

Settled price per unit

Example: 100
settledAtstring · date-time · nullableRequired

Date and time of auction settlement

get
/bonds/{bondId}/auctions/{auctionId}
200Success

Cancel auction

patch

Cancel auction that has no active bids

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
auctionIdstring · uuidRequired

Auction UUID identifier, unique in scope of this node

Example: 57c03592-9de8-4e7b-803e-a9c84fbc98e1
Body
statusstring · enumRequired

Auction status:

  • upcoming - will open in the future
  • open - currently open and accepts bids
  • closed - successful, but not yet settled
  • settled - successful and settled
  • failed - unsuccessful auction, minAmount not reached
  • cancelled - cancelled by issuer agent
Possible values:
Responses
chevron-right
200Success
application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Auction id

Example: 2f4b29b9-ef14-4f7c-bbd8-e4160b64590e
brokerIdstring · uuidRequired

Broker id

Example: babbfcb4-7843-49aa-8d94-21e0d072a0f5
assetIdstring · uuidRequired

Asset id

Example: d844e687-bb8e-4d64-b408-19bcfc301e26
typestring · enumRequired

Type of auction:

'fixed-price' - price is fixed
'min-price' - price is limited to lower boundary, inclusive
Possible values:
statusstring · enumRequired

Auction status:

  • upcoming - will open in the future
  • open - currently open and accepts bids
  • closed - successful, but not yet settled
  • settled - successful and settled
  • failed - unsuccessful auction, minAmount not reached
  • cancelled - cancelled by issuer agent
Possible values:
minAmountinteger · int64Required

Minimal amount that needs to be auctioned off for auction to succeed

Example: 500
priceinteger · int64Required

Minimal or fixed price, determined by auction type

Example: 100
startAtstring · date-timeRequired

Date and time of auction opening

endAtstring · date-timeRequired

Date and time of auction closing

settledAmountinteger · int64 · nullableRequired

Total settled amount

Example: 600
settledTotalPriceinteger · int64 · nullableRequired

Settled total price

Example: 60000
settledPriceinteger · int64 · nullableRequired

Settled price per unit

Example: 100
settledAtstring · date-time · nullableRequired

Date and time of auction settlement

patch
/bonds/{bondId}/auctions/{auctionId}
200Success

Get all bids

get

Get all bids in the auction

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
auctionIdstring · uuidRequired

Auction UUID identifier, unique in scope of this node

Example: 57c03592-9de8-4e7b-803e-a9c84fbc98e1
Query parameters
modestring · enumOptional

Strategy applied when filtering/searching on multiple fields

Possible values:
orderanyOptional

Array of fields and directions to order. Supported fields:

Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/auctions/{auctionId}/bids
200

Successfully retrieved a list of items.

Create a bid

post

Create a bid on specific auction

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
auctionIdstring · uuidRequired

Auction UUID identifier, unique in scope of this node

Example: 57c03592-9de8-4e7b-803e-a9c84fbc98e1
Body
accountAddressstring · xrp-addressRequired

Account address that is placing a bid

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
priceinteger · int64Required

price

Example: 100
amountinteger · int64Required

Amount

Example: 10
statusstring · enumOptional

Create bid status:

  • placed - place unfunded bid
  • funded - place funded bid
Possible values:
Responses
post
/bonds/{bondId}/auctions/{auctionId}/bids
201

Created bid

Get bid

get

Get auction bid by id

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
auctionIdstring · uuidRequired

Auction UUID identifier, unique in scope of this node

Example: 57c03592-9de8-4e7b-803e-a9c84fbc98e1
bidIdstring · uuidRequired

Bid UUID identifier, globally unique to Axiology TSS

Example: 12d3666b-09e0-4ca8-b4f6-49a00fc5d810
Responses
chevron-right
200

Auction bid

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Unique UUID of Auction bid in scope of this node

Example: 270a4970-6aec-403c-957f-275f0e61a054
brokerIdstring · uuidRequired

Broker UUID that placed the bid

Example: 28eca6a2-79ea-480e-bc6a-fb926306f4fd
assetIdstring · uuidRequired

Asset UUID that the bid is for

Example: a2186858-e9e3-46fa-abc2-5eb86cbd5795
auctionIdstring · uuidRequired

Auction UUID that the bid is for

Example: a07ea8a0-4981-4a39-9e02-9d1807686897
accountAddressstring · xrp-addressRequired

Account address that placed the bid

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
statusstring · enumRequired

Create bid status:

  • placed - place unfunded bid
  • funded - place funded bid
Possible values:
amountinteger · int64Required

Bond amount the bid is for

Example: 20
priceinteger · int64Required

Bond price per unit

Example: 100
totalPriceinteger · int64Required

Total bid price

Example: 2000
placedAtstring · date-time · nullableRequired

Bid placement time

settledAmountinteger · int64 · nullableRequired

Settled amount the bid is for

Example: 10
settledTotalPriceinteger · int64 · nullableRequired

Settled total price

Example: 1000
settledAtstring · date-time · nullableRequired

Bid settlement time

get
/bonds/{bondId}/auctions/{auctionId}/bids/{bidId}
200

Auction bid

Fund/defund/cancel bid

patch

Manage auction bid by funding, defunding or cancelling it

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
auctionIdstring · uuidRequired

Auction UUID identifier, unique in scope of this node

Example: 57c03592-9de8-4e7b-803e-a9c84fbc98e1
bidIdstring · uuidRequired

Bid UUID identifier, globally unique to Axiology TSS

Example: 12d3666b-09e0-4ca8-b4f6-49a00fc5d810
Body
statusstring · enumRequired

Create bid status:

  • placed - place unfunded bid
  • funded - place funded bid
Possible values:
Responses
chevron-right
200

Changed bid

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Unique UUID of Auction bid in scope of this node

Example: 270a4970-6aec-403c-957f-275f0e61a054
brokerIdstring · uuidRequired

Broker UUID that placed the bid

Example: 28eca6a2-79ea-480e-bc6a-fb926306f4fd
assetIdstring · uuidRequired

Asset UUID that the bid is for

Example: a2186858-e9e3-46fa-abc2-5eb86cbd5795
auctionIdstring · uuidRequired

Auction UUID that the bid is for

Example: a07ea8a0-4981-4a39-9e02-9d1807686897
accountAddressstring · xrp-addressRequired

Account address that placed the bid

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
statusstring · enumRequired

Create bid status:

  • placed - place unfunded bid
  • funded - place funded bid
Possible values:
amountinteger · int64Required

Bond amount the bid is for

Example: 20
priceinteger · int64Required

Bond price per unit

Example: 100
totalPriceinteger · int64Required

Total bid price

Example: 2000
placedAtstring · date-time · nullableRequired

Bid placement time

settledAmountinteger · int64 · nullableRequired

Settled amount the bid is for

Example: 10
settledTotalPriceinteger · int64 · nullableRequired

Settled total price

Example: 1000
settledAtstring · date-time · nullableRequired

Bid settlement time

patch
/bonds/{bondId}/auctions/{auctionId}/bids/{bidId}
200

Changed bid

Pay bond coupon manually

patch

Pay bond coupon that was not automatically paid

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
couponIdstring · uuidRequired

Coupon UUID identifier, unique in scope of this node

Example: b5abc81b-8412-4949-a352-b6c90286b09b
Responses
chevron-right
200

Coupon paid

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Coupon UUID, unique in scope of this node

Example: fb4702b8-32d6-4e17-8d81-306dd637dcc1
nonumberRequired

Coupon №

Example: 1
bondIdstring · uuidRequired

Bond UUID, unique in scope of this node

Example: 052c31bc-c782-486d-ae95-438a954164e4
statusstring · enumRequired

Coupon status

Possible values:
totalPaymentinteger · int64Required

Total payment of coupon in smallest currency unit (respecting exponent of bond currency)

Example: 1000
recordAtstring · date-timeRequired

Date of coupon's period end, bond holders are recorded.

Example: 2026-01-09T08:55:11.550Z
payAtstring · date-timeRequired

Date of coupon's payment, must be later than record date.

Example: 2026-02-07T08:55:11.550Z
patch
/bonds/{bondId}/coupons/{couponId}
200

Coupon paid

Deprecated
get

Retrieve a paginated list of bond distributions

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/distributions
200

Successfully retrieved a list of items.

Deprecated
post

Create bond distribution.

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Bodyobject[]
holderAddressstring · xrp-addressRequired

Address of the account to distribute the asset to. Can be both one of this broker's investors or another broker's

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
bondAmountinteger · int64Required

Amount of bonds to send to the provided receiver

Example: 1000
currencyAmountinteger · int64Required

Price of a single bond to pay for

Example: 900
Responses
post
/bonds/{bondId}/distributions
201

Successfully created a bond distribution

get

Retrieve a paginated list of bond maturity payments

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
modestring · enumOptional

Strategy applied when filtering/searching on multiple fields

Possible values:
orderanyOptional

Array of fields and directions to order. Supported fields: createdAt, status, bondAmount, payoutAmount

Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/maturity-payments
200

Successfully retrieved a list of items.

get

Get maturity payment

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
maturityPaymentIdstring · uuidRequired

Maturity Payment UUID identifier, unique in scope of this node

Example: 616b7611-fcc4-48f2-80b8-bd90d5fd6d11
Responses
chevron-right
200

Retrieve information about single maturity payment

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Unique UUID of the maturity payment in scope of this gateway

Example: 907252a0-803e-4824-ad78-f125f6b7508a
statusstring · enumRequired

Status of the maturity payment

Possible values:
bondIdstring · uuidRequired

Unique UUID of the bond in scope of this gateway

Example: 4f41aa47-e4bb-4849-81f0-60f0223b62ba
bondAmountinteger · int64Required

Bond amount for this maturity payment

Example: 1000
payoutAmountinteger · int64Required

Amount to pay for this maturity payment

Example: 900
receiverAddressstring · xrp-addressRequired

Payment`s receiver address corresponding to the investor account address

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
errorMessagestringOptional

Error message

Example: Something went wrong
get
/bonds/{bondId}/maturity-payments/{maturityPaymentId}
200

Retrieve information about single maturity payment

patch

Update bond maturity payments for previously failed or no funds holders

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
maturityPaymentIdstring · uuidRequired

Maturity Payment UUID identifier, unique in scope of this node

Example: 616b7611-fcc4-48f2-80b8-bd90d5fd6d11
Body
statusstring · enumRequired

Status of the maturity payment

Possible values:
Responses
chevron-right
200

Successfully received a bond maturity payment

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Unique UUID of the maturity payment in scope of this gateway

Example: 907252a0-803e-4824-ad78-f125f6b7508a
statusstring · enumRequired

Status of the maturity payment

Possible values:
bondIdstring · uuidRequired

Unique UUID of the bond in scope of this gateway

Example: 4f41aa47-e4bb-4849-81f0-60f0223b62ba
bondAmountinteger · int64Required

Bond amount for this maturity payment

Example: 1000
payoutAmountinteger · int64Required

Amount to pay for this maturity payment

Example: 900
receiverAddressstring · xrp-addressRequired

Payment`s receiver address corresponding to the investor account address

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
errorMessagestringOptional

Error message

Example: Something went wrong
patch
/bonds/{bondId}/maturity-payments/{maturityPaymentId}
200

Successfully received a bond maturity payment

Deprecated
get

Retrieve a page of price candlesticks from the tradable bond

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
lengthnumberRequired

Length of the candlestick in minutes

Example: 5
Query parameters
orderstring · enumOptional

Include/exclude withdrawals with deposits

Example: ascPossible values:
Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/prices/{length}
200

Successfully retrieved a list of items.

get

Retrieve a list of bond data validation requests available in the system

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/data-validations
200

Successfully retrieved a list of items.

Change bond's information

post

Update existing bond's information. This only creates a change request. It is executed only after approval by operator

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Body
issuerIdstring · uuidRequired

Unique UUID of the issuer in scope of this gateway to assign as this bond's issuer

Example: 1113b96c-40c2-4d1e-9574-405d46b5f470
currencyIdstring · uuidRequired

Unique UUID of the currency in scope of this gateway provided to set in which currency bond coupon and maturity payments will be executed with

Example: bf8b2ea8-7aa4-45ea-a6e1-3a4222b1ca53
namestringRequired

Full name of the bond

Example: Test Bond 1
originstring · enumRequired

Origin of the bond

Possible values:
custodianstringOptional

Custodian where asset is registered outside

Example: Custodian Bank
custodianLeiCodestringOptional

LEI code of original depository where the issuer has registered the securities

Example: DG3RU1DBUFHT4ZF9WN62
issuerCsdLeiCodestringOptional

LEI code of the issuer in central securities depository

Example: DG3RU1DBUFHT4ZF9WN62
csdRegisteredAtstring · date-timeOptional

Date of registration in central depository

Example: 2025-12-12T08:55:12.549Z
underlyingInstrumentCodestringOptional

Underlying instrument code

Example: US0378331005
fisnstringOptional

Short description

Example: FUTURETECH/COMMON STOCK
countryCodestringRequired

Country code of where the security is issued

Example: LT
turnoverTypestring · enumOptional

Type of turnover for the bond. Indicates how the bond is traded or transferred

Possible values:
senioritystring · enumRequired

Seniority of the bond. Indicates the priority of claims in case of liquidation

Possible values:
initialPlacementstring · enumRequired

Initial placement type

Possible values:
exponentnumber · max: 10Required

Exponent - number of decimal places (scale) used for this asset or currency.

  • Decimal floating value: stored_value / 10^exponent.
  • Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).
  • Examples: 2000 with exponent 2 => 20; 2345 with exponent 3 => 2.345; 2345 with exponent 0 => 2345.
Example: 2
isinstringOptional

International Securities Identification Number. Code that uniquely identifies a security globally

Example: US0378331005
cfistringOptional

Classification of Financial Instruments. Unique identifier assigned to financial instruments, such as stocks, bonds, derivatives, and other securities

Example: DBVUGR
figistringOptional

Financial Instrument Global Identifier. Code that uniquely identifies a security globally

Example: BBG000BLNNV0
tickerstringOptional

Stock ticker symbol. This is a unique series of letters assigned to a security or stock for trading purposes

Example: AAPL
dtistring · iso-24165-dtiOptional

Digital Token Identifier (DTI) as per ISO 24165

Example: BCDFGHJK9Pattern: ^[B-DF-HJ-NP-TV-XZ1-9][B-DF-HJ-NP-TV-XZ0-9]{8}$
issuePricestringRequired

Price of the bond issue

Example: 20 000 USD
totalSupplyinteger · int64Required

Total amount of bond units that exist or will exist, provided considering exponent of the bond

Example: 10000
nominalValueinteger · int64Required

Nominal/face value of one bond, expressed in chosen currency, provided considering exponent of the currency

Example: 100
interestRatestringRequired

Annual interest rate in % paid for holding this bond

Example: 10
interestTypestring · enumRequired

Interest type. Curently, only fixed interest rate is supported

Possible values:
interestBasestring · enumRequired

Interest calculation option

Possible values:
interestIntervalstring · enumRequired

Interest payment interval

Possible values:
minimumSettlementUnitstringRequired

Up to what part a bond can be divided

Example: 0,01 unit
settlementUnitMultiplestringRequired

The smallest part of settlement currency to trade

Example: 0,01 EUR
prospectusRegisteredbooleanRequired

Indicator, if the bond prospectus registered

Example: true
preEmptiveRightsbooleanRequired

Indicator, if the bond has pre-emptive rights

Example: true
earlyRedemptionbooleanRequired

Indicator, if the bond can be redeemed early

Example: true
securedbooleanRequired

Indicator, if the bond is secured

Example: true
securedBackingstringOptional

Backing of the secured bond

Example: Gold
issuedAtstring · date-timeRequired

Issue date of the bond.

Example: 2025-12-12T08:55:12.550Z
issuanceRecordAtstring · date-timeRequired

Bond issue record date, from which the coupon accumulation starts.

Example: 2025-12-11T08:55:12.550Z
settleAtstring · date-timeRequired

Date when the bond was or is expected to be fully distributed among initial holders.

Example: 2025-12-25T08:55:12.551Z
maturityRecordAtstring · date-timeRequired

The official maturity record date and time. Timestamp marking the official maturity record cutoff (typically end of day, e.g. 23:59:59), defining which bondholders are legally entitled to receive principal repayment at maturity according to bond terms/prospectus.

Example: 2026-02-09T08:55:12.551Z
matureAtstring · date-timeRequired

Date of bond's maturity or simpler, end of bond's lifetime.

Example: 2026-02-10T08:55:12.551Z
referencestringRequired

Reference to the new bond data document or other relevant information.

Example: Bond prospect No. 12345
settlementTypestring · enumRequired

Corporate actions settlement type:

  • internal - payments (coupons, maturity) are settled within Axiology TSS using EMTs
  • external - payments are settled via bank or other payment systems outside Axiology TSS
Possible values:
Responses
post
/bonds/{bondId}/data-validations
201

Successfully created a request to update bond data

Cancel bond's information

patch

Cancel existing bond's information that is waiting for operator approval

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
dataValidationIdstring · uuidRequired

Data validation UUID identifier, unique in scope of this node

Example: ab8eaebf-559e-42e7-ad60-d13c43d10803
Body
statusstring · enumRequired

Status of bond data validation

Possible values:
referencestringRequired

Arbitrary reference provided by the broker to the bond data validation

Example: Mistakes in the document
Responses
chevron-right
200

Successfully cancelled a request to update bond data

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

UUIDv4 of the bond data validation request

Example: e687f2ad-74fa-49ea-95d0-88e8a23dedb7
bondIdstring · uuidRequired

Unique UUID of the bond in scope of this gateway

Example: e2ed88fb-1ac9-4904-b84e-ecc933200d18
statusstring · enumRequired

Status of bond data validation

Possible values:
ipfsLinkstringRequired

IPFS link with bond data that was validated or needs to be validated

Example: /ipfs/QmPZMtMmLMWQGCsASnMZVhn8c4kuryiAAFiqWGF4uGbNSo
initiationReferencestringRequired

Reference provided by the broker during bond data validation initiation

Example: Prospect No. 123
validationReferencestring · nullableRequired

Reference provided by the operator during bond data validation

Example: Data mismatch
initiatedAtstring · date-timeRequired

Date when the bond data validation was initiated

Example: 2034-12-30T00:00:00.000Z
validatedAtstring · date-time · nullableRequired

Date when the bond data validation was completed

Example: 2034-12-30T00:00:00.000Z
patch
/bonds/{bondId}/data-validations/{dataValidationId}
200

Successfully cancelled a request to update bond data

Get bond distributions

get

Get a paginated list of distributions for a specific bond

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
Responses
chevron-right
200

Successfully retrieved a list of bond distributions.

application/json
get
/bonds/{bondId}/primary-distributions
200

Successfully retrieved a list of bond distributions.

Distribute bond

post

Initiate bond distribution via Free Of Payment or Delivery Versus Payment method

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Body
typestring · enumRequired

Settlement type

Possible values:
referencestringRequired

Reference to a document or corporate action number, etc. - anything that could help relate distribution actions with other context

Example: Primary distribution No. 1
recordedAtstring · date-timeRequired

Day when the action was documented to be executed. This is not necessarily the day when the bond is actually distributed to the investor.

Responses
post
/bonds/{bondId}/primary-distributions
201

Successfully created distribution of a bond

Retry failed primary distribution FOP

patch

Retry primary distribution for previously failed FOP.

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
primaryDistributionIdstring · uuidRequired

Primary Distribution UUID identifier, unique in scope of this node

Example: 2c48f7f9-220b-47e1-8426-0481c9d5ddf0
fopIdstring · uuidRequired

FOP UUID identifier, unique in scope of this node

Example: 123491c6-47ab-4db9-90d9-ec5495e80864
Body
statusstring · enumRequired

Update primary distribution FOP status

  • initiated - (issuer agent) initiate upcoming or initiation-failed FOP distribution
  • completed - (investor agent) complete initiated FOP distribution
Possible values:
Responses
chevron-right
200

Successfully retried primary distribution FOP.

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Primary distribution FOP id

Example: ef6df23e-52d6-4b37-98c8-72373bccac1a
primaryDistributionIdstring · uuidRequired

Primary distribution id

Example: 9750277b-bb32-456e-bf85-27e6bb0c4a3f
bondIdstring · uuidRequired

Bond id

Example: 8ca923ae-70cc-459d-b909-586e208735cc
accountAddressstring · xrp-addressRequired

Account address

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
amountinteger · int64Required

Amount to receive

Example: 100
statusstring · enumRequired

Update primary distribution FOP status

  • initiated - (issuer agent) initiate upcoming or initiation-failed FOP distribution
  • completed - (investor agent) complete initiated FOP distribution
Possible values:
settledAtstring · date-timeRequired

Date and time of primary distribution FOP

patch
/bonds/{bondId}/primary-distributions/{primaryDistributionId}/fops/{fopId}
200

Successfully retried primary distribution FOP.

get

Retrieve a list of bond supply changes requests available in the system

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/supply-changes
200

Successfully retrieved a list of items.

Change bond's supply

post

Update existing bond's supply. This only creates a change request. It is executed only after approval by operator

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Body
newSupplyinteger · int64Required

New supply of bond units that is wished to be had on this system, in smallest bond unit (respecting exponent of bond)

Example: 1000
actionstring · enumRequired

Action that is wished to be performed with the bond supply

Possible values:
referencestringRequired

Reference to the new bond data document or other relevant information.

Example: Bond prospect No. 12345
Responses
post
/bonds/{bondId}/supply-changes
201

Successfully created a request to update bond supply

Cancel bond's supply

patch

Cancel existing bond's supply that is waiting for operator approval

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
supplyChangeIdstring · uuidRequired

Supply Change UUID identifier, unique in scope of this gateway

Example: 78e344e2-5e0b-4c9e-9a24-b7a078f03bb3
Body
statusstring · enumRequired

Status of bond supply change request

Possible values:
referencestringRequired

Arbitrary reference provided by the issuer agent to the bond supply change

Example: Mistakes in the document
Responses
chevron-right
200

Successfully cancelled a request to update bond supply

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

UUIDv4 of the bond supply change request

Example: e74ce006-cfd2-4e32-9dac-b27b0a4c3778
bondIdstring · uuidRequired

Unique UUID of the bond in scope of this gateway

Example: 3756a24c-589e-452e-b04d-953d358d07f2
statusstring · enumRequired

Status of bond supply change request

Possible values:
amountinteger · int64Required

Amount change in bond supply requested

Example: -100
initiationReferencestringRequired

Reference provided by the broker during bond supply change initiation

Example: Prospect No. 123
validationReferencestring · nullableRequired

Reference provided by the operator during bond supply change validation

Example: Data mismatch
initiatedAtstring · date-timeRequired

Date when the bond supply change was initiated

Example: 2034-12-30T00:00:00.000Z
validatedAtstring · date-time · nullableRequired

Date when the bond supply change was validated

Example: 2034-12-30T00:00:00.000Z
patch
/bonds/{bondId}/supply-changes/{supplyChangeId}
200

Successfully cancelled a request to update bond supply

get

Retrieve full information about a single bond, specified by bond id in the path

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Responses
chevron-right
200

Successfully received a bond

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

UUIDv4 of the bond - asset id

Example: 9183411b-229c-45b7-a258-572ac8f32c01
issuerIdstring · uuidRequired

Unique UUID of the issuer in scope of this gateway

Example: dc5aaf42-d279-41d5-badf-e375803dde06
currencyIdstring · uuidRequired

Unique UUID of the currency that payouts of the bond are made with in scope of this gateway

Example: 5e63fa7d-34e9-4c3f-aa7c-cb8d9aed5cc8
brokerIdstring · uuidRequired

Unique UUID of the broker that manages this bond issue

Example: 205e9ff3-6de2-4fd6-9831-06feccb9e63c
originstring · enumRequired

Origin of the bond

Possible values:
custodianstring · nullableRequired

Custodian where asset is registered outside

Example: Custodian Bank
custodianLeiCodestring · nullableRequired

LEI code of original depository where the issuer has registered the securities

Example: DG3RU1DBUFHT4ZF9WN62
issuerCsdLeiCodestring · nullableRequired

LEI code of central securities depository where the issuer has registered the securities

Example: DG3RU1DBUFHT4ZF9WN62
csdRegisteredAtstring · date-time · nullableRequired

Date of registration in central depository

Example: 2034-12-30T00:00:00.000Z
underlyingInstrumentCodestring · nullableRequired

Underlying instrument code

Example: US0378331005
fisnstring · nullableRequired

Short description

Example: FUTURETECH/COMMON STOCK
countryCodestringRequired

Country code of where the security is issued

Example: LT
turnoverTypestring · enumRequired

Type of turnover for the bond. Indicates how the bond is traded or transferred

Possible values:
senioritystring · enumRequired

Seniority of the bond. Indicates the priority of claims in case of liquidation

Possible values:
statusstring · enumRequired

Status of the bond:

  • draft- bond is created
  • recorded- data validation was created by issuer agent and approved by operator
  • issued- supply change was created by issuer agent and approved by operator
  • distributing- bond has been recorded, issued and ongoing primary distribution (step 1/2)
  • live- bond is distributed (step 2/2), now live and circulating
  • locked- bond is locked from trading, entering maturity process (step 1/5)
  • mature- bond is maturing, cannot be traded or transferred (step 2/5)
  • collecting- bond collection in progress (step 3/5)
  • collected- bond collection completed (step 4/5)
  • closed- bond has reached the end of its lifecycle (step 5/5)
Possible values:
initialPlacementstring · enumRequired

Initial placement type

Possible values:
issuingAccountAddressstring · xrp-addressRequired

Issuing account address

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
operationalAccountAddressstring · xrp-addressRequired

Operational account address

Example: rHb9CJAWyB4rj91VRWn96DkukG4bwdtyThPattern: r[0-9a-zA-Z]{24,34}
isinstring · nullableRequired

International Securities Identification Number. Code that uniquely identifies a security globally

Example: US0378331005
cfistring · nullableRequired

Classification of Financial Instruments. Unique identifier assigned to financial instruments, such as stocks, bonds, derivatives, and other securities

Example: DBVUGR
figistring · nullableRequired

Financial Instrument Global Identifier. Code that uniquely identifies a security globally

Example: BBG000BLNNV0
tickerstring · nullableRequired

Stock ticker symbol. This is a unique series of letters assigned to a security or stock for trading purposes

Example: AAPL
dtistring · iso-24165-dti · nullableRequired

Digital Token Identifier (DTI) as per ISO 24165

Example: BCDFGHJK9Pattern: ^[B-DF-HJ-NP-TV-XZ1-9][B-DF-HJ-NP-TV-XZ0-9]{8}$
issuePricestringRequired

Price of the bond issue

Example: 20 000 USD
nominalValueinteger · int64Required

Nominal value of a single bond unit, also known as face value, provided considering exponent of the bond currency

Example: 10
totalNominalValueinteger · int64Required

Nominal value of a full bond issue, also known as total face value, provided considering exponent of the bond currency

Example: 10000
interestRatestringRequired

Annual interest rate in % paid for holding this bond

Example: 10
interestTypestring · enumRequired

Interest type. Curently, only fixed interest rate is supported

Possible values:
interestBasestring · enumRequired

Interest calculation option

Possible values:
interestIntervalstring · enumRequired

Interest payment interval

Possible values:
settlementUnitMultiplestringRequired

Settlement unit multiple expressed in maximum decimal points amount allowed. Ex: 0,01 means 2

Example: 2
minimumSettlementUnitstringRequired

Minimum settlement unit expressed in maximum decimal points amount allowed. Ex: 0,01 means 2

Example: 2
prospectusRegisteredbooleanRequired

Indicator, if the bond prospectus registered

Example: true
preEmptiveRightsbooleanRequired

Indicator, if the bond has pre-emptive rights

Example: true
earlyRedemptionbooleanRequired

Indicator, if the bond can be redeemed early

Example: true
securedbooleanRequired

Indicator, if the bond is secured

Example: true
securedBackingstring · nullableRequired

Backing of the secured bond

Example: Gold
issuedAtstring · date-timeRequired

Issue date of the bond.

Example: 2034-12-30T00:00:00.000Z
issuanceRecordAtstring · date-timeRequired

Bond issue record date, from which the coupon accumulation starts.

Example: 2034-12-30T00:00:00.000Z
settleAtstring · date-timeRequired

Date when the bond was or is expected to be fully distributed among initial holders.

Example: 2034-12-30T00:00:00.000Z
maturityRecordAtstring · date-timeRequired

Date when the bond reaches maturity and final owners are fixed.

Example: 2034-12-30T00:00:00.000Z
matureAtstring · date-timeRequired

Date when the bond maturity is expected to be paid out.

Example: 2034-12-30T00:00:00.000Z
distributedAmountinteger · int64Required

Amount of bonds that have been proposed to distribute to investors

Example: 1000
requestedAmountinteger · int64Required

Amount of mature bonds requested to collect from investors

Example: 1000
collectedAmountinteger · int64Required

Amount of mature bonds collected back

Example: 1000
namestringRequired

Bond name

Example: BOND
ipfsLinkstringRequired

IPFS link

Example: /ipfs/QmPZMtMmLMWQGCsASnMZVhn8c4kuryiAAFiqWGF4uGbNSo
exponentnumber · max: 10Required

Exponent - number of decimal places (scale) used for this asset or currency.

  • Decimal floating value: stored_value / 10^exponent.
  • Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).
  • Examples: 2000 with exponent 2 => 20; 2345 with exponent 3 => 2.345; 2345 with exponent 0 => 2345.
Example: 2
supplyinteger · int64Required

Bond total supply

Example: 1000
totalSupplyinteger · int64Required

Bond total supply

Example: 1000
couponIdsstring[]Required

Coupon ids

Example: ["36dbd1cc-cc4a-43d0-a166-e3e4cd1380f7"]
maturityPaymentIdsstring[]Required

Maturity payment ids

Example: ["888431dc-1d81-4f6b-9131-475f8d3ee0f8"]
distributionIdsstring[]Required

Distribution ids

Example: ["2c978a1a-e7c0-4cc3-a401-6a9bb7c2441f"]
supplyChangeIdsstring[]Required

Supply change ids

Example: ["2c978a1a-e7c0-4cc3-a401-6a9bb7c2441f"]
dataValidationIdsstring[]Required

Sata validation ids

Example: ["2c978a1a-e7c0-4cc3-a401-6a9bb7c2441f"]
settlementTypestring · enumRequired

Corporate actions settlement type:

  • internal - payments (coupons, maturity) are settled within Axiology TSS using EMTs
  • external - payments are settled via bank or other payment systems outside Axiology TSS
Possible values:
get
/bonds/{bondId}
200

Successfully received a bond

get

Retrieve a list of accounts with balance for specified bond.

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/accounts
200

Successfully retrieved a list of items.

Get bond coupons

get

Get a paginated list of bonds coupons

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
Query parameters
Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/coupons
200

Successfully retrieved a list of items.

get

Retrieve a list of bond coupon payments.

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
couponIdstring · uuidRequired

Coupon UUID identifier, unique in scope of this node

Example: b5abc81b-8412-4949-a352-b6c90286b09b
Query parameters
Responses
chevron-right
200

Successfully retrieved a list of items.

application/json
get
/bonds/{bondId}/coupons/{couponId}/payments
200

Successfully retrieved a list of items.

Get bond distribution

get

Get bond's distribution by its id

Path parameters
bondIdstring · uuidRequired

Bond UUID identifier, globally unique to Axiology TSS

Example: f4d30128-4a8e-4a49-9272-6121c556523a
primaryDistributionIdstring · uuidRequired

Primary Distribution UUID identifier, unique in scope of this node

Example: 2c48f7f9-220b-47e1-8426-0481c9d5ddf0
Responses
chevron-right
200

Retrieved bond distribution

application/json
createdAtstring · date-timeRequired

Created date

updatedAtstring · date-timeRequired

Updated date

idstring · uuidRequired

Primary distribution id

Example: b006212e-9da8-44a4-9be3-9e6e833e7834
brokerIdstring · uuidRequired

Broker id

Example: 0cf7f3d7-5641-4973-a85b-6c92baef0026
bondIdstring · uuidRequired

Bond id

Example: 7cba0d0f-008a-4c53-b4ac-220305e2b9d3
typestring · enumRequired

Settlement type

Possible values:
supplyinteger · int64Required

Token supply to distribute

Example: 1000
referencestringRequired

Reference to a document or corporate action number, etc. - anything that could help relate distribution actions with other context

Example: Stock-split No. 12345
recordedAtstring · date-timeRequired

Date and time of primary distribution registration

statusstring · enumRequired

Status of primary distribution:

  • settling - distribution created and is settling
  • settled - distribution settled
Possible values:
get
/bonds/{bondId}/primary-distributions/{primaryDistributionId}
200

Retrieved bond distribution

Last updated